Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType

Direct Known Subclasses:
  JClassType, JPrimitiveType

    public abstract class JType

extends java.lang.Object

Abstract superclass for types.

Constructor Summary
`JType()`

Method Summary
`abstract JType` | `getErasedType()`
`abstract java.lang.String` | `getJNISignature()`
`JType` | `getLeafType()`
`java.lang.String` | `getParameterizedQualifiedSourceName()`
`abstract java.lang.String` | `getQualifiedSourceName()`
`abstract java.lang.String` | `getSimpleSourceName()`
`JAnnotationType` | `isAnnotation()` Returns this instance if it is a annotation or `null` if it is not.
`abstract JArrayType` | `isArray()`
`abstract JClassType` | `isClass()`
`JClassType` | `isClassOrInterface()`
`abstract JEnumType` | `isEnum()` Returns this instance if it is an enumeration or `null` if it is not.
`abstract JGenericType` | `isGenericType()`
`abstract JClassType` | `isInterface()`
`abstract JParameterizedType` | `isParameterized()`
`abstract JPrimitiveType` | `isPrimitive()`
`abstract JRawType` | `isRawType()`
`JTypeParameter` | `isTypeParameter()`
`abstract JWildcardType` | `isWildcard()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JType

    public JType()

Method Detail

### getErasedType

    public abstract JType getErasedType()

### getJNISignature

    public abstract java.lang.String getJNISignature()

### getLeafType

    public JType getLeafType()

### getParameterizedQualifiedSourceName

    public java.lang.String getParameterizedQualifiedSourceName()

### getQualifiedSourceName

    public abstract java.lang.String getQualifiedSourceName()

### getSimpleSourceName

    public abstract java.lang.String getSimpleSourceName()

### isAnnotation

    public JAnnotationType isAnnotation()

  Returns this instance if it is a annotation or `null` if it is not.

  Returns:
    this instance if it is a annotation or `null` if it is not

### isArray

    public abstract JArrayType isArray()

### isClass

    public abstract JClassType isClass()

### isClassOrInterface

    public JClassType isClassOrInterface()

### isEnum

    public abstract JEnumType isEnum()

  Returns this instance if it is an enumeration or `null` if it is not.

  Returns:
    this instance if it is an enumeration or `null` if it is not

### isGenericType

    public abstract JGenericType isGenericType()

### isInterface

    public abstract JClassType isInterface()

### isParameterized

    public abstract JParameterizedType isParameterized()

### isPrimitive

    public abstract JPrimitiveType isPrimitive()

### isRawType

    public abstract JRawType isRawType()

### isTypeParameter

    public JTypeParameter isTypeParameter()

### isWildcard

    public abstract JWildcardType isWildcard()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD